#!/bin/bash
[[ "-x" == "${1}" ]] && set -x && set -v && shift 1
count=1
for X in /sys/class/scsi_host/host?/scan
do
echo '- - -' > ${X}
done
for X in /dev/sd?
do
list+=$(echo $X " ")
done

for X in /dev/sd??
do
list+=$(echo $X " ")
done
for X in $list
do
echo "========"
echo $X
echo "========"
if [[ -b ${X} && `/sbin/parted -s ${X} print quit|/bin/grep -c boot` -ne 0 || (`echo ${X} | grep "1"`) || (`echo ${X} | grep "2"`)
]]
then
echo "$X bootable - skipping."
continue
else
#Identify UUID
UUID=`blkid ${X} | cut -d " " -f2 | cut -d "=" -f2 | sed 's/"//g'`
/bin/mkdir  -p  /data/disk${count}
(( $? )) && continue
echo "UUID of ${X} = ${UUID}, mounting ${X} using UUID on /data/disk${count}"
mount -vs -t ext4 -o nobarrier,noatime,nodiratime,nobh,nouser_xattr,data=writeback,commit=100 -U ${UUID}  /data/disk${count} 
(( $? )) && continue
echo "UUID=${UUID} /data/disk${count} ext4 nobarrier,noatime,nodiratime,nobh,nouser_xattr,data=writeback,commit=100 0 0" >> /etc/fstab
((count++))
fi
done

